## BtWireAnalysisDialog BtWireAnalysisDialog — audio analysis for this wire |

## Synopsis

    #include "bt-edit.h"

                        BtWireAnalysisDialog;
    BtWireAnalysisDialog * bt_wire_analysis_dialog_new      (const BtEditApplication *app,
                                                             const BtWire *wire);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkWindow
                                           +----BtWireAnalysisDialog

## Implemented Interfaces

BtWireAnalysisDialog implements AtkImplementorIface and GtkBuildable.

## Properties

      "app"                      BtEditApplication*    : Read / Write / Construct Only
      "wire"                     BtWire*               : Read / Write / Construct Only

## Description

The dialog shows a mono-spectrum analyzer and level-meters for left/right channel.

The dialog is not modal.

## Details

### BtWireAnalysisDialog

    typedef struct _BtWireAnalysisDialog BtWireAnalysisDialog;

the root window for the editor application

### bt_wire_analysis_dialog_new ()

    BtWireAnalysisDialog * bt_wire_analysis_dialog_new      (const BtEditApplication *app,
                                                             const BtWire *wire);

Create a new instance

`app` : | the application the dialog belongs to
`wire` : | the wire to create the dialog for
Returns : | the new instance or NULL in case of an error

## Property Details

### The `"app"` property

      "app"                      BtEditApplication*    : Read / Write / Construct Only

Set application object, the dialog belongs to.

### The `"wire"` property

      "wire"                     BtWire*               : Read / Write / Construct Only

Set wire object, the dialog handles.